Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class SLAED0

    java.lang.Object
      org.netlib.lapack.SLAED0

    public class SLAED0

extends java.lang.Object

    SLAED0 is a simplified interface to the JLAPACK routine slaed0.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  SLAED0 computes all eigenvalues and corresponding eigenvectors of a
     *  symmetric tridiagonal matrix using the divide and conquer method.
     *
     *  Arguments
     *  =========
     *
     *  ICOMPQ  (input) INTEGER
     *          = 0:  Compute eigenvalues only.
     *          = 1:  Compute eigenvectors of original dense symmetric matrix
     *                also.  On entry, Q contains the orthogonal matrix used

     *                to reduce the original matrix to tridiagonal form.
     *          = 2:  Compute eigenvalues and eigenvectors of tridiagonal
     *                matrix.
     *
     *  QSIZ   (input) INTEGER
     *         The dimension of the orthogonal matrix used to reduce
     *         the full matrix to tridiagonal form.  QSIZ >= N if ICOMPQ = 1.
     *
     *  N      (input) INTEGER
     *         The dimension of the symmetric tridiagonal matrix.  N >= 0.
     *
     *  D      (input/output) REAL array, dimension (N)
     *         On entry, the main diagonal of the tridiagonal matrix.
     *         On exit, its eigenvalues.
     *
     *  E      (input) REAL array, dimension (N-1)
     *         The off-diagonal elements of the tridiagonal matrix.
     *         On exit, E has been destroyed.
     *
     *  Q      (input/output) REAL array, dimension (LDQ, N)
     *         On entry, Q must contain an N-by-N orthogonal matrix.
     *         If ICOMPQ = 0    Q is not referenced.
     *         If ICOMPQ = 1    On entry, Q is a subset of the columns of the
     *                          orthogonal matrix used to reduce the full
     *                          matrix to tridiagonal form corresponding to
     *                          the subset of the full matrix which is being

     *                          decomposed at this time.
     *         If ICOMPQ = 2    On entry, Q will be the identity matrix.
     *                          On exit, Q contains the eigenvectors of the
     *                          tridiagonal matrix.
     *
     *  LDQ    (input) INTEGER
     *         The leading dimension of the array Q.  If eigenvectors are
     *         desired, then  LDQ >= max(1,N).  In any case,  LDQ >= 1.
     *
     *  QSTORE (workspace) REAL array, dimension (LDQS, N)
     *         Referenced only when ICOMPQ = 1.  Used to store parts of
     *         the eigenvector matrix when the updating matrix multiplies
     *         take place.
     *
     *  LDQS   (input) INTEGER
     *         The leading dimension of the array QSTORE.  If ICOMPQ = 1,
     *         then  LDQS >= max(1,N).  In any case,  LDQS >= 1.
     *
     *  WORK   (workspace) REAL array,
     *         If ICOMPQ = 0 or 1, the dimension of WORK must be at least
     *                     1 + 3*N + 2*N*lg N + 2*N**2
     *                     ( lg( N ) = smallest integer k
     *                                 such that 2^k >= N )
     *         If ICOMPQ = 2, the dimension of WORK must be at least
     *                     4*N + N**2.
     *
     *  IWORK  (workspace) INTEGER array,
     *         If ICOMPQ = 0 or 1, the dimension of IWORK must be at least
     *                        6 + 6*N + 5*N*lg N.
     *                        ( lg( N ) = smallest integer k
     *                                    such that 2^k >= N )
     *         If ICOMPQ = 2, the dimension of IWORK must be at least
     *                        3 + 5*N.
     *
     *  INFO   (output) INTEGER
     *          = 0:  successful exit.
     *          < 0:  if INFO = -i, the i-th argument had an illegal value.
     *          > 0:  The algorithm failed to compute an eigenvalue while
     *                working on the submatrix lying in rows and columns
     *                INFO/(N+1) through mod(INFO,N+1).
     *
     *  Further Details
     *  ===============
     *
     *  Based on contributions by
     *     Jeff Rutter, Computer Science Division, University of California
     *     at Berkeley, USA
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`SLAED0()`

Method Summary
`static void` | `SLAED0(int icompq, int qsiz, int n, float[] d, float[] e, float[][] q, float[][] qstore, float[] work, int[] iwork, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SLAED0

    public SLAED0()

Method Detail

### SLAED0

    public static void SLAED0(int icompq,
                              int qsiz,
                              int n,
                              float[] d,
                              float[] e,
                              float[][] q,
                              float[][] qstore,
                              float[] work,
                              int[] iwork,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD